#include <bits/stdc++.h>
using namespace std;
map<int,int> mapa1;
map<double,int> mapa2;
int main()
{
	int n;
	scanf("%i",&n);
	int x[n+1],y[n+1];
	for(int i=1;i<=n;i++)
	{
		scanf("%i%i",&x[i],&y[i]);
	}
	int a[n*(n+1)+10];
	double b[n*(n+1)+10];
	int temp=1;
	for(int i=1;i<=n-1;i++)
	{
		for(int j=i+1;j<=n;j++)
		{
			a[temp]=(x[i]-x[j])*((x[i]-x[j]))+(y[i]-y[j])*(y[i]-y[j]);
			b[temp]=(double)(x[i]-x[j])/(y[i]-y[j]);
			mapa1[a[temp]]++;
			mapa2[b[temp]]++;
			temp++;
		}
	}
	int r=0;
	for(int i=1;i<=n*(n-1)/2;i++)
	{
		r+=min(mapa1[4*a[i]],mapa2[b[i]]-1);
	}
	printf("%i",r);
	return 0;
}